Subject: Re: [bitcoin-dev] On the security of soft forks

From: Matt Corallo <[email-masked]>
Date: Sun, 16 Oct 2016 17:04:59 +0000

I highly recommend you read the excellent thread on soft fork risks at
https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-December/012014.html
and respond there instead of getting off topic for this thread.

Matt

On 10/16/16 16:42, Tom Zander via bitcoin-dev wrote:
> On Sunday, 16 October 2016 12:35:58 CEST Gavin Andresen wrote:
>> On Sun, Oct 16, 2016 at 10:58 AM, Tom Zander via bitcoin-dev <
>>
>> [email-masked]> wrote:
>>> The fallow period sounds waaaay to short. I suggest 2 months at minimum
>>> since anyone that wants to be safe needs to upgrade.
>>
>> I asked a lot of businesses and individuals how long it would take them to
>> upgrade to a new release over the last year or two.
>>
>> Nobody said it would take them more than two weeks.
> 
> The question you asked them was likely about the block size. The main 
> difference is that SPV users do not need to update after BIP109, but they do 
> need to have a new wallet when SegWit transactions are being sent to them.
> 
> This upgrade affects also end users, not just businesses etc.
> 
> Personally, I'd say that 2 months is even too fast.
>  
>